Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboPopup.ListSelectionHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboPopup.ListSelectionHandler

All Implemented Interfaces:
  EventListener, ListSelectionListener

Enclosing class:
  BasicComboPopup

    protected class BasicComboPopup.ListSelectionHandler
    extends Object
    implements ListSelectionListener

As of Java 2 platform v 1.4, this class is now obsolete, doesn't do anything, and is only included for backwards API compatibility. Do not call or override.

### Constructor Summary

Constructors
`protected` `ListSelectionHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `valueChanged(ListSelectionEvent e)` Called whenever the value of the selection changes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListSelectionHandler

    protected ListSelectionHandler()

### Method Detail

#### valueChanged

    public void valueChanged(ListSelectionEvent e)

Description copied from interface: `ListSelectionListener`
Called whenever the value of the selection changes.

Specified by:
  `valueChanged` in interface `ListSelectionListener`
Parameters:
  `e` - the event that characterizes the change.